﻿using System;

using InfraCrashRepro.Models;

namespace InfraCrashRepro.ViewModels
{
    public class DataItem
    {
        public DataItem(int x, int y) { X = x; Y = y; }
        public int X { get; set; }
        public int Y { get; set; }
    }

    public class ItemDetailViewModel : BaseViewModel
    {
        public Item Item { get; set; }
        public ItemDetailViewModel(Item item = null)
        {
            Title = item?.Text;
            Item = item;
            Items =
                new[]
                {
                    new DataItem(0, 1),
                    new DataItem(1, 2),
                    new DataItem(2, 3)
                };

        }

        public DataItem[] Items { get; set; }
    }
}
